org.apache.solr.analytics.util.valuesource

## Class ConstStringSource

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.LiteralValueSource
    - - org.apache.solr.analytics.util.valuesource.ConstStringSource

-     public class ConstStringSource
      extends LiteralValueSource

  `ConstStringSource` returns a constant string for all documents

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME`

    - ### Fields inherited from class org.apache.lucene.queries.function.valuesource.LiteralValueSource

      `bytesRef, hash, string`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstStringSource(String string)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `description()`
    `boolean` | `equals(Object o)`
    `protected String` | `name()`

    - ### Methods inherited from class org.apache.lucene.queries.function.valuesource.LiteralValueSource

      `getValue, getValues, hashCode`

    - ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

      `createWeight, getSortField, newContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConstStringSource

          public ConstStringSource(String string)

  - ### Method Detail

    - #### description

          public String description()

      Overrides:
        `description` in class `LiteralValueSource`

    - #### name

          protected String name()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `LiteralValueSource`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.